﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_DeleteEntry : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            yearMonthHidden.Value = DateTime.Today.Year.ToString() + DateTime.Today.Month.ToString("00");
            for (int i = 1; i <= 12; i++)
            {
                this.monthDropDownList.Items.Add( new ListItem(i.ToString(), i.ToString("00")));
                if (i == DateTime.Today.Month)
                {
                    this.monthDropDownList.Items[this.monthDropDownList.Items.Count - 1].Selected = true;
                }
            }
            for (int i = DateTime.Today.Year-10; i <= DateTime.Today.Year+10; i++)
            {
                this.yearDropDownList.Items.Add( new ListItem(i.ToString(), i.ToString()));
                if (i == DateTime.Today.Year)
                {
                    this.yearDropDownList.Items[this.yearDropDownList.Items.Count-1].Selected = true;
                }
            }
        }
    }
    protected void yearDropDownList_SelectedIndexChanged(object sender, EventArgs e)
    {
        UpdateYearMonthHidden();
    }
    protected void monthDropDownList_SelectedIndexChanged(object sender, EventArgs e)
    {
        UpdateYearMonthHidden();
    }

    private void UpdateYearMonthHidden()
    {
        yearMonthHidden.Value = yearDropDownList.SelectedValue + monthDropDownList.SelectedValue;
    }
}
