﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EditCategory.aspx.cs" Inherits="Admin_EditCategory" MasterPageFile="~/Admin/AdminMaster.master" Title="管理画面 - カテゴリ編集" %>
<asp:Content runat="server" ContentPlaceHolderID="ContentPlaceHolder1">
    <asp:ScriptManagerProxy runat="server" id="ScriptManagerProxy1" />

    <asp:ObjectDataSource ID="AllCategoryDataSource" runat="server" SelectMethod="GetAllCategory" TypeName="CategoryBL">
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="SingleCategoryDataSource" runat="server" DeleteMethod="DeleteCategory"
        InsertMethod="InsertCategory" SelectMethod="GetCategoryByID" TypeName="CategoryBL"
        UpdateMethod="UpdateCategory" >
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="id" Type="Int32" />
            <asp:Parameter Name="Text" Type="String" />
        </UpdateParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="categoryGrid" Name="id" PropertyName="SelectedValue"
                Type="Int32" />
        </SelectParameters>
        <InsertParameters>
            <asp:Parameter Name="Text" Type="String" />
        </InsertParameters>
    </asp:ObjectDataSource>
    <asp:Label ID="Label2" runat="server" SkinID="PageHeaderLabel" Text="カテゴリの編集"></asp:Label><br />
    <br />
            <asp:GridView ID="categoryGrid" runat="server" AutoGenerateColumns="False" DataKeyNames="ID"
                DataSourceID="AllCategoryDataSource" CellPadding="4" ForeColor="#333333" GridLines="None" Caption="登録されたカテゴリ一覧" Width="300px">
                <Columns>
                    <asp:CommandField ShowSelectButton="True" />
                    <asp:BoundField DataField="ID" HeaderText="カテゴリID" InsertVisible="False" ReadOnly="True"
                        SortExpression="ID" />
                    <asp:BoundField DataField="Text" HeaderText="カテゴリ名" SortExpression="Text" />
                </Columns>
                <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
                <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <AlternatingRowStyle BackColor="White" />
            </asp:GridView>
    <br />
            <asp:DetailsView ID="categoryDetail" runat="server" AutoGenerateRows="False" DataKeyNames="ID"
                DataSourceID="SingleCategoryDataSource" Height="50px" OnItemDeleted="categoryDetail_ItemDeleted"
                Width="300px" CellPadding="4" ForeColor="#333333" GridLines="None" Caption="カテゴリの編集" OnItemCreated="categoryDetail_ItemCreated" OnItemUpdated="categoryDetail_ItemUpdated" >
                <Fields>
                    <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" ReadOnly="True"
                        SortExpression="ID" />
                    <asp:BoundField DataField="Text" HeaderText="カテゴリ名" SortExpression="Text" />
                    <asp:TemplateField HeaderText="作成日">
                        <ItemTemplate>
                            <asp:Label runat="server" ID="OccuredDateLabel" Text='<%# Eval("OccuredDate") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="最終更新日">
                        <ItemTemplate>
                            <asp:Label runat="server" ID="UpdateDateLabel" Text='<%# Eval("UpdateDate") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowInsertButton="True" />
                </Fields>
                <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <CommandRowStyle BackColor="#FFFFC0" Font-Bold="True" />
                <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                <FieldHeaderStyle BackColor="#FFFF99" Font-Bold="True" />
                <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <AlternatingRowStyle BackColor="White" />
                <EmptyDataTemplate>
                    <asp:Label ID="Label1" runat="server" Text="グリッドから編集するカテゴリを選択してください。"></asp:Label><br />
                    &nbsp;<asp:LinkButton ID="insertModeButton" runat="server" OnClick="insertModeButton_Click">新規作成</asp:LinkButton>
                </EmptyDataTemplate>
            </asp:DetailsView>
</asp:Content>
