﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EditConfig.aspx.cs" Inherits="Admin_EditConfig" MasterPageFile="~/Admin/AdminMaster.master" Title="管理画面 - 構成" %>
<asp:Content runat="server" ContentPlaceHolderID="ContentPlaceHolder1">
    <asp:ScriptManagerProxy runat="server" id="ScriptManagerProxy1" />

    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="GetBlogConfiguration"
        TypeName="BlogConfigurationBL" UpdateMethod="UpdateBlogConfiguration">
    </asp:ObjectDataSource>
    <asp:Label ID="Label2" runat="server" SkinID="PageHeaderLabel" Text="ブログ設定"></asp:Label><br />
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="BlogID" DataSourceID="ObjectDataSource1" DefaultMode="Edit" CellPadding="4" ForeColor="#333333">
        <EditItemTemplate>
            <table>
                <tr>
                    <td>ブログタイトル:</td>
                    <td><asp:TextBox ID="TitleTextBox" runat="server" Text='<%# Bind("Title") %>'></asp:TextBox></td>
                </tr>
                <tr>
                    <td>サブタイトル:</td>
                    <td><asp:TextBox ID="SubTitleTextBox" runat="server" Text='<%# Bind("SubTitle") %>'></asp:TextBox></td>
                </tr>
                <tr>
                    <td>最近のエントリ表示数:</td>
                    <td><asp:TextBox ID="ViewRecentEntryCountTextBox" runat="server" Text='<%# Bind("ViewRecentEntryCount") %>'></asp:TextBox></td>
                </tr>
                <tr>
                    <td>最近のコメント表示数:</td>
                    <td><asp:TextBox ID="ViewRecentCommentCountTextBox" runat="server" Text='<%# Bind("ViewRecentCommentCount") %>'></asp:TextBox></td>
                </tr>
            </table>
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                Text="更新"></asp:LinkButton>
        </EditItemTemplate>
        <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
        <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
        <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
    </asp:FormView>
</asp:Content>