﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="NewEntry.aspx.cs" Inherits="Admin_NewEntry" MasterPageFile="~/Admin/AdminMaster.master" ValidateRequest="false" Title="管理画面 - 新規エントリ" %>
<%@ Register
    Assembly="AjaxControlToolkit"
    Namespace="AjaxControlToolkit"
    TagPrefix="ajaxToolkit" %>
<asp:Content runat="server" ContentPlaceHolderID="ContentPlaceHolder1">
<asp:ScriptManagerProxy runat="server" id="ScriptManagerProxy1" />

<!-- それぞれの環境毎にキーを変更してください -->
<script src="http://maps.google.com/maps?file=api&v=2&key=ABQIAAAArep0tPJEeBE7kgMUXmKskBSprvYC1cggqrV4l78o81ywWQWTExRWdkafudGwpKVmlIx0jbeHFnnt0g"
    type="text/javascript" charset="utf-8"></script>

        <asp:ObjectDataSource ID="EntryDataSource" runat="server" InsertMethod="InsertEntry"
            SelectMethod="GetEntryByID" TypeName="EntryBL" OnInserted="EntryDataSource_Inserted">
            <SelectParameters>
                <asp:Parameter Name="entryID" Type="Int32" />
            </SelectParameters>
            <InsertParameters>
                <asp:ControlParameter Name="Title" ControlID="TitleTextBox" PropertyName="Text" Type="String" />
                <asp:ControlParameter Name="Contents" ControlID="ContentsTextBox" PropertyName="Text" Type="String" />
                <asp:ControlParameter Name="Category" ControlID="CategoryDropDownList" PropertyName="SelectedValue" Type="Int32" />
                <asp:ControlParameter Name="Image1FileName" ControlID="ImageFileUpload1" PropertyName="FileName" Type="string" />
                <asp:ControlParameter Name="Image2FileName" ControlID="ImageFileUpload2" PropertyName="FileName" Type="string" />
                <asp:ControlParameter Name="Image3FileName" ControlID="ImageFileUpload3" PropertyName="FileName" Type="string" />
                <asp:ControlParameter Name="EntryDate" ControlID="EntryDateTextBox" PropertyName="Text" Type="DateTime" />
            </InsertParameters>
        </asp:ObjectDataSource>

        <asp:ObjectDataSource ID="EntryWithLocationDataSource" runat="server" InsertMethod="InsertEntryWithLocation"
            SelectMethod="GetEntryByID" TypeName="EntryBL" OnInserted="EntryDataSource_Inserted">
            <SelectParameters>
                <asp:Parameter Name="entryID" Type="Int32" />
            </SelectParameters>
            <InsertParameters>
                <asp:ControlParameter Name="Title" ControlID="TitleTextBox" PropertyName="Text" Type="String" />
                <asp:ControlParameter Name="Contents" ControlID="ContentsTextBox" PropertyName="Text" Type="String" />
                <asp:ControlParameter Name="Category" ControlID="CategoryDropDownList" PropertyName="SelectedValue" Type="Int32" />
                <asp:ControlParameter Name="Image1FileName" ControlID="ImageFileUpload1" PropertyName="FileName" Type="string" />
                <asp:ControlParameter Name="Image2FileName" ControlID="ImageFileUpload2" PropertyName="FileName" Type="string" />
                <asp:ControlParameter Name="Image3FileName" ControlID="ImageFileUpload3" PropertyName="FileName" Type="string" />
                <asp:ControlParameter Name="EntryDate" ControlID="EntryDateTextBox" PropertyName="Text" Type="DateTime" />
                <asp:ControlParameter Name="Location_Lng" ControlID="hidden_location_Lng" PropertyName="Value" Type="Single" />
                <asp:ControlParameter Name="Location_Lat" ControlID="hidden_location_Lat" PropertyName="Value" Type="Single" />
                <asp:ControlParameter Name="Zoom" ControlID="hidden_Zoom" PropertyName="Value" Type="Int16" />
                <asp:ControlParameter Name="Marker_Lng" ControlID="hidden_marker_Lng" PropertyName="Value" Type="Single" />
                <asp:ControlParameter Name="Marker_Lat" ControlID="hidden_marker_Lat" PropertyName="Value" Type="Single" />
            </InsertParameters>
        </asp:ObjectDataSource>
        
        <asp:Label ID="Label2" runat="server" SkinID="PageHeaderLabel" Text="新規エントリ"></asp:Label><br />
                <table class="EntryForm">
                    <tr>
                        <td nowrap="nowrap">
                            日付:
                        </td>
                        <td>
                            <asp:TextBox ID="EntryDateTextBox" runat="server" Width="80" />
                            <asp:RequiredFieldValidator ID="EntryDateRequiredFieldValidator" runat="server" ControlToValidate="EntryDateTextBox"
                                        Display="Dynamic" ErrorMessage="*入力してください"></asp:RequiredFieldValidator>
                                    <asp:RangeValidator ID="EntryDateRangeValidator" runat="server" ControlToValidate="EntryDateTextBox"
                                        Display="Dynamic" ErrorMessage="*書式が不正です" MaximumValue="2500/1/1" MinimumValue="1600/1/1"
                                        Type="Date"></asp:RangeValidator>
                            
                            <asp:Panel ID="Panel1" runat="server">
                                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                                    <ContentTemplate>
                                       <center>
                                            <asp:Calendar ID="EntryDateCalendar" runat="server" Width="160px" DayNameFormat="Shortest"
                                                BackColor="White" BorderColor="#999999" CellPadding="1" Font-Names="Verdana"
                                                Font-Size="8pt" ForeColor="Black" OnSelectionChanged="Calendar1_SelectionChanged">
                                                    <SelectedDayStyle BackColor="#666666" Font-Bold="True" ForeColor="White" />
                                                    <TodayDayStyle BackColor="#CCCCCC" ForeColor="Black" />
                                                    <SelectorStyle BackColor="#CCCCCC" />
                                                    <WeekendDayStyle BackColor="#FFFFCC" />
                                                    <OtherMonthDayStyle ForeColor="#808080" />
                                                    <NextPrevStyle VerticalAlign="Bottom" />
                                                    <DayHeaderStyle BackColor="#CCCCCC" Font-Bold="True" Font-Size="7pt" />
                                                    <TitleStyle BackColor="#999999" Font-Size="7pt" BorderColor="Black" Font-Bold="True" />
                                            </asp:Calendar>
                                        </center>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </asp:Panel>
                            <ajaxToolkit:PopupControlExtender ID="PopupControlExtender1" runat="server"
                                TargetControlID="EntryDateTextBox"
                                PopupControlID="Panel1"
                                Position="Bottom" />
                        </td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap">
                            タイトル:
                        </td>
                        <td>
                            <asp:TextBox ID="TitleTextBox" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="TitleRequiredFieldValidator" runat="server" ControlToValidate="TitleTextBox"
                                Display="Dynamic" ErrorMessage="*入力してください"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap">
                            内容:
                        </td>
                        <td>
                            <asp:TextBox ID="ContentsTextBox" runat="server"  TextMode="MultiLine" Rows="15" Width="100%"></asp:TextBox>
                            <script type="text/javascript">
                            buttonPath = "../whizzywig/";
                            makeWhizzyWig('<%= GetContentsTextBoxUniqueID() %>', "all");
                            </script>
                        </td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap">
                            カテゴリ:
                        </td>
                        <td>
                            <asp:DropDownList ID="CategoryDropDownList" runat="server" DataSourceID="CategoryDataSource"
                                DataTextField="Text" DataValueField="ID"  AppendDataBoundItems="True">
                                <asp:ListItem Selected="True" Value="-1">なし</asp:ListItem>
                            </asp:DropDownList>                        </td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap">
                            画像:
                        </td>
                        <td>
                            <asp:FileUpload ID="ImageFileUpload1" runat="server" />
                            <br />
                            <asp:FileUpload ID="ImageFileUpload2" runat="server" />
                            <br />
                            <asp:FileUpload ID="ImageFileUpload3" runat="server" />
						</td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap">
                            位置情報：
                        </td>
                        <td>
                            <input type="radio" id="VisibleLocation" name="MapLocation" checked="checked" /><label for="VisibleLocation">付加する</label>
                            <input type="radio" id="HiddenLocation" name="MapLocation" /><label for="HiddenLocation">付加しない</label>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <div id="MapDiv">
                                <table style="width:450px" border="1">
	                                <tr>
		                                <td colspan="2">
			                                <div id="map" style="width:450px; height:450px"></div>
		                                </td>
	                                </tr>
	                                <tr>
		                                <td colspan="2">
			                                <input type="checkbox" id="markerCheckBox" /><label for="markerCheckBox">マーカーモード</label>
		                                </td>
	                                </tr>
	                                <tr>
		                                <td style="width:200px">
			                                地図位置情報：
		                                </td>
		                                <td style="width:250px">
			                                <div id="location_Lng"></div><div id="location_Lat"></div>
		                                </td>
	                                </tr>
	                                <tr>
		                                <td style="width:200px">
			                                ズーム：
		                                </td>
		                                <td style="width:250px">
			                                <div id="zoom"></div>
		                                </td>
	                                </tr>
	                                <tr>
		                                <td style="width:200px">
			                                マーカ位置情報：
		                                </td>
		                                <td style="width:250px">
			                                <div id="marker_Lng"></div>
			                                <div id="marker_Lat"></div>
		                                </td>
	                                </tr>
                                </table>
                            </div>
						</td>
                    </tr>
                </table>
                <asp:Button ID="EntryButton" runat="server" OnClick="EntryButton_Click" Text="登録" />
                
                <asp:HiddenField runat="server" ID="hidden_enableLocationInfo" Value="1" />
                <asp:HiddenField runat="server" ID="hidden_location_Lng" />
                <asp:HiddenField runat="server" ID="hidden_location_Lat" />
                <asp:HiddenField runat="server" ID="hidden_Zoom" />
                <asp:HiddenField runat="server" ID="hidden_marker_Lng" />
                <asp:HiddenField runat="server" ID="hidden_marker_Lat" />
                
                <asp:ObjectDataSource ID="CategoryDataSource" runat="server" SelectMethod="GetAllCategory"
                    TypeName="CategoryBL"></asp:ObjectDataSource>

        <script type="text/xml-script">
            <page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
                <components>
                    <textBox id='<%= GetEnableLocationInfo_ID() %>' />
                    <control id="VisibleLocation">
                        <behaviors>
                            <clickBehavior>
                                <click>
                                    <setPropertyAction target='<%= GetEnableLocationInfo_ID() %>' property="text" value="1" />
                                </click>
                            </clickBehavior>
                        </behaviors>
                    </control>
                    <control id="HiddenLocation">
                        <behaviors>
                            <clickBehavior>
                                <click>
                                    <setPropertyAction target='<%= GetEnableLocationInfo_ID() %>' property="text" value="0" />
                                </click>
                            </clickBehavior>
                        </behaviors>
                    </control>
                    <control id="MapDiv" />
                </components>
            </page>
        </script>

    <script type="text/javascript">
    function load() {

    //<![CDATA[

//    if (GBrowserIsCompatible()) {
var result = GMap2.infoWindowEnabled();
alert(result);
return;
      var map = new GMap2(document.getElementById("map"));
      map.addControl(new GLargeMapControl());
      map.addControl(new GOverviewMapControl());

	GEvent.addListener(map, 'click', function(marker, point) {
		var markerCheckBox = document.getElementById("markerCheckBox");
		if(markerCheckBox.checked){
		    if( marker )
		    {
			    map.removeOverlay(marker);
		    }
		    else{
			    map.clearOverlays();
			    map.addOverlay(new GMarker(point));
		    }
		}
	    });

	GEvent.addListener(map, 'move',
	                       function() {
	        var xy = map.getCenter();
	        document.getElementById("location_Lng").innerHTML = xy.lng();
	        document.getElementById("location_Lat").innerHTML = xy.lat();
	        document.getElementById('<%= GetHiddenLocation_Lng_ID() %>').value = xy.lng();
	        document.getElementById('<%= GetHiddenLocation_Lat_ID() %>').value = xy.lat();
	    });

	GEvent.addListener(map, 'addoverlay',
	                       function( overlay ) {
	        var xy = overlay.getPoint();
	        document.getElementById("marker_Lng").innerHTML = xy.lng();
	        document.getElementById("marker_Lat").innerHTML = xy.lat();
	        document.getElementById('<%=GetHidden_marker_Lng_ID() %>').value = xy.lng();
	        document.getElementById('<%=GetHidden_marker_Lat_ID() %>').value = xy.lat();
	    });

	GEvent.addListener(map, 'removeoverlay',
	                       function( overlay ) {
	        document.getElementById("marker_Lng").innerHTML = "";
	        document.getElementById("marker_Lat").innerHTML = "";
	        document.getElementById('<%=GetHidden_marker_Lng_ID() %>').value = "";
	        document.getElementById('<%=GetHidden_marker_Lat_ID() %>').value = "";
	    });


	GEvent.addListener(map, 'zoomend',
	                       function(oldZoomLevel, newZoomLevel) {
	     document.getElementById("zoom").innerHTML = newZoomLevel;
	     document.getElementById('<%= GetHiddenZoom_ID() %>').value = newZoomLevel;
	    });

      var point = new GLatLng(34, 138 );

      map.setCenter(point, 4);

//    }
}
    //]]>
    </script>
    
</asp:Content>
