﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="CategoryListControl.ascx.cs" Inherits="Control_CategoryListControl" %>
<asp:DataList runat="server" ID="CategoryDataList" SkinID="ItemDataList" DataSourceID="ObjectDataSource1">
    <HeaderTemplate>
        <asp:Label ID="Label1" runat="server" SkinID="ItemHeaderLabel" Text="カテゴリ" />
    </HeaderTemplate>
    <ItemTemplate>
        &nbsp;
        <asp:HyperLink ID="HyperLink1" runat="server" 
                       CssClass="default" 
                       NavigateUrl='<%# Eval("Category", "~/Default.aspx?CategoryID={0}") %>' 
                       Text='<%# Eval("CategoryName") + Eval("EntryCount", "{0: （0）}") %>' />
    </ItemTemplate>
</asp:DataList>
<asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
SelectMethod="GetEntryCountPerCategory"
    TypeName="EntryBL">
</asp:ObjectDataSource>
