﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="LinkListControl.ascx.cs" Inherits="Control_LinkListControl" %>
<%@ Register
    Assembly="AjaxControlToolkit"
    Namespace="AjaxControlToolkit"
    TagPrefix="ajaxToolkit" %>

<asp:DataList runat="server" ID="CategoryDataList" SkinID="ItemDataList" DataSourceID="ObjectDataSource1"  >
    <HeaderTemplate>
        <asp:Label ID="Label1" runat="server" SkinID="ItemHeaderLabel" Text="リンク" />
    </HeaderTemplate>
    <ItemTemplate>
        <asp:HyperLink runat="server" ID="popupHyperLink" NavigateUrl='<%# Eval("URL") %>' Text='<%# Eval("Title") %>' />
        <asp:Panel runat="server" ID="popupPanel" SkinID="Popup" CssClass="hiddenPanel">
            <table>
                <tr>
                    <td>
                        <asp:Image ID="Image1" runat="server" ImageUrl='<%# Eval("Image") %>' Visible='<%# ExistImage(Container) %>' />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Literal ID="Literal1" runat="server" Text='<%# Eval("Comment") %>' />
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <br />
        
        <ajaxToolkit:HoverMenuExtender ID="hme2" runat="Server"
            PopupControlID='popupPanel'
            PopupPosition="Top"
            TargetControlID='popupHyperLink'
            OffsetX="50"
            OffsetY="0"
            PopDelay="25"
             />

    </ItemTemplate>
</asp:DataList>

<asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
SelectMethod="GetAllLink"
    TypeName="LinkBL" />

