﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    // LinkButtonアイテムのクリックイベントハンドラ
    protected void BulletedList3_Click(object sender, BulletedListEventArgs e)
    {
        ListItem listItem = BulletedList3.Items[e.Index];
        System.Diagnostics.Debug.WriteLine("Text:" + listItem.Text + "  Value:" + listItem.Value);
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>BulletedListサンプル</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <!-- 行頭文字=イメージ -->
        <asp:BulletedList ID="BulletedList1" runat="server" 
                          BulletImageUrl="~/arrow.jpg" BulletStyle="CustomImage">
          <asp:ListItem Value="0">.NET Expert</asp:ListItem>
          <asp:ListItem Value="1">Software Design</asp:ListItem>
          <asp:ListItem Value="2">Web Site Expert</asp:ListItem>
        </asp:BulletedList>
        <br />
        <!-- 行頭文字=アルファベット（小文字）＆行頭開始インデックス=5 -->
        <asp:BulletedList ID="BulletedList2" runat="server" 
                          BulletStyle="LowerAlpha" FirstBulletNumber="5">
          <asp:ListItem Value="0">.NET Expert</asp:ListItem>
          <asp:ListItem Value="1">Software Design</asp:ListItem>
          <asp:ListItem Value="2">Web Site Expert</asp:ListItem>
        </asp:BulletedList>
        <br />
        <!-- 表示モード=リンクボタン＆アイテムクリックイベントハンドル -->
        <asp:BulletedList ID="BulletedList3" runat="server" 
                          BulletStyle="Square" DisplayMode="LinkButton" 
                          OnClick="BulletedList3_Click">
          <asp:ListItem Value="0">.NET Expert</asp:ListItem>
          <asp:ListItem Value="1">Software Design</asp:ListItem>
          <asp:ListItem Value="2">Web Site Expert</asp:ListItem>
        </asp:BulletedList>
    </div>
    </form>
</body>
</html>
