﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    public class UserDao
    {
        public static bool Regist(string userName, int ageValue, bool eMail)
        {
            return true;
        }
    }
    // フィニッシュイベントハンドラ
    protected void Wizard1_FinishButtonClick1(object sender, WizardNavigationEventArgs e) {
      // DB登録処理
      if( !UserDao.Regist( yourName.Text, ageDropDown.SelectedIndex, needMail.Checked ) ) {
        // 完了画面のラベルにエラーメッセ維持を設定
        resultLabel.Text = "エラーが発生しました。";
      }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Wizardサンプル２</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Wizard ID="Wizard1" runat="server" OnFinishButtonClick="Wizard1_FinishButtonClick1" BackColor="#EFF3FB" BorderColor="#B5C7DE" BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em" >
          <WizardSteps>
            <asp:WizardStep ID="WizardStep1" runat="server" Title="Step 1">
              <br />
              <asp:Label ID="Label1" runat="server" Text="氏名:"></asp:Label>
              <asp:TextBox ID="yourName" runat="server"></asp:TextBox>
              <br /><br />
            </asp:WizardStep>
            <asp:WizardStep ID="WizardStep2" runat="server" Title="Step 2">
              <br />
              <asp:Label ID="Label2" runat="server" Text="年齢:"></asp:Label>
              <asp:DropDownList ID="ageDropDown" runat="server">
                <asp:ListItem>10-19</asp:ListItem>
                <asp:ListItem>20-29</asp:ListItem>
                <asp:ListItem>30-</asp:ListItem>
              </asp:DropDownList>
              <br /><br />
            </asp:WizardStep>
            <asp:WizardStep ID="WizardStep3" runat="server" Title="Step 3">
              <br />
              <asp:CheckBox ID="needMail" runat="server" Text="確認メールが必要" />
              <br /><br />
            </asp:WizardStep>
            <asp:WizardStep ID="WizardStep4" runat="server" Title="登録完了" StepType="Complete">
              <asp:Label ID="resultLabel" runat="server" Text="登録が完了しました！！"></asp:Label>
            </asp:WizardStep>
          </WizardSteps>
          
          <SideBarStyle Width="100" />
          <StepStyle Width="200" Height="100" />
          
          <HeaderTemplate>
            <asp:Image ID="Image2" runat="server" AlternateText="ユーザー登録" ImageUrl="~/title.jpg" />
          </HeaderTemplate>
          <SideBarTemplate>
            <asp:DataList ID="SideBarList" runat="server">
              <ItemTemplate>
                <asp:Image ID="Image1" runat="server" ImageUrl="~/arrow.jpg" />
                <asp:LinkButton ID="SideBarButton" runat="server" />
              </ItemTemplate>
            </asp:DataList>
          </SideBarTemplate>
          <StepNavigationTemplate>
            <asp:LinkButton ID="LinkButton1" runat="server" CommandName="MovePrevious" Text="戻る" />
            <asp:LinkButton ID="LinkButton2" runat="server" CommandName="MoveNext" Text="次へ" />
          </StepNavigationTemplate>
          <StartNavigationTemplate>
            <asp:LinkButton ID="LinkButton3" runat="server" CommandName="MoveNext" Text="次へ" />
          </StartNavigationTemplate>
          <FinishNavigationTemplate>
            <asp:LinkButton ID="LinkButton4" runat="server" CommandName="MovePrevious" Text="戻る" />
            <asp:LinkButton ID="LinkButton5" runat="server" CommandName="MoveComplete" Text="登録" />
          </FinishNavigationTemplate>
        </asp:Wizard>
    </div>
    </form>
</body>
</html>
