﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Repeaterサンプル</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
<asp:SqlDataSource ID="SqlDataSource1" runat="server" 
  ConnectionString='<%$ ConnectionStrings:TestDatabaseConnectionString %>' 
  ProviderName="System.Data.SqlClient" 
  SelectCommand="SELECT * FROM [Books]" />

<asp:Repeater ID="Repeater1" runat="server" DataSourceID="SqlDataSource1">
  <HeaderTemplate>
    <asp:Label ID="Label1" runat="server" Font-Bold="true" Text="お勧め書籍一覧" />
    <hr style="color:Navy" />
  </HeaderTemplate>
  <FooterTemplate>
    <hr style="color:Navy" />
  </FooterTemplate>
  <SeparatorTemplate>
    <hr />
  </SeparatorTemplate>
  <ItemTemplate>
    <table style="border-right: black 1px solid; border-top: 
    black 1px solid; border-left: black 1px solid; 
    border-bottom: black 1px solid;" width="500px">
      <tr>
        <td>タイトル</td>
        <td>
          <asp:Label ID="Label1" runat="server" 
            Text='<%# Eval("Title") %>' />
        </td>
        <td rowspan="5">
          <asp:Image ID="Image1" runat="server" 
            ImageUrl='<%# Eval("ImageUrl") %>' />
        </td>
      </tr>
      <tr>
        <td>著者</td>
        <td>
          <asp:Label ID="Label2" runat="server" 
            Text='<%# Eval("Author") %>' />
        </td>
      </tr>
      <tr>
        <td>出版社・出版日</td>
        <td>
          <asp:Label ID="Label3" runat="server" 
            Text='<%# Eval("Publisher").ToString() + 
            Eval("PublicationDay", "{0:（yyyy/M/ d）}") %>' />
        </td>
      </tr>
      <tr>
        <td>ISBN</td>
        <td>
          <asp:Label ID="Label4" runat="server" 
            Text='<%# Eval("ISBN") %>' />
        </td>
      </tr>
      <tr>
        <td>価格（税込み）</td>
        <td>
          <asp:Label ID="Label5" runat="server" 
            Text='<%# Eval("Price", "{0:C}") %>' />
        </td>
      </tr>
    </table>
  </ItemTemplate>
</asp:Repeater>
    </div>
    </form>
</body>
</html>
