﻿<%@ Page Language="C#" MasterPageFile="~/Admin/AdminMaster.master" AutoEventWireup="true" CodeFile="DeleteEntry.aspx.cs" Inherits="Admin_DeleteEntry" Title="管理画面 - エントリ削除" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:ScriptManagerProxy runat="server" id="ScriptManagerProxy1" />

    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" DeleteMethod="DeleteEntry"
        SelectMethod="GetEntryByDate" TypeName="EntryBL" >
        <DeleteParameters>
            <asp:Parameter Name="ID" Type="Int32" Direction="inputoutput" />
        </DeleteParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="yearMonthHidden" Name="yearMonth" PropertyName="Value"
                Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:UpdatePanel runat="server" ID="UpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:HiddenField ID="yearMonthHidden" runat="server" />
            <asp:Label ID="Label3" runat="server" SkinID="PageHeaderLabel" Text="エントリ削除"></asp:Label><br />
            <br />
            <asp:DropDownList ID="yearDropDownList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="yearDropDownList_SelectedIndexChanged">
            </asp:DropDownList>
            <asp:Label ID="Label1" runat="server" Text="年"></asp:Label>
            <asp:DropDownList ID="monthDropDownList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="monthDropDownList_SelectedIndexChanged">
            </asp:DropDownList>
            <asp:Label ID="Label2" runat="server" Text="月"></asp:Label>
            <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" CellPadding="4"
                DataKeyNames="ID" DataSourceID="ObjectDataSource1" ForeColor="#333333" GridLines="None">
                <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <Columns>
                    <asp:CommandField ShowDeleteButton="True" />
                    <asp:BoundField DataField="ID" HeaderText="カテゴリID" InsertVisible="False" ReadOnly="True"
                        SortExpression="ID" />
                    <asp:BoundField DataField="EntryDate" HeaderText="日付" SortExpression="EntryDate" DataFormatString="{0:yyyy/MM/dd}" />
                    <asp:BoundField DataField="Title" HeaderText="タイトル" SortExpression="Title" />
                    <asp:BoundField DataField="CategoryName" HeaderText="カテゴリ名" SortExpression="CategoryName" />
                </Columns>
                <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
                <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                <AlternatingRowStyle BackColor="White" />
            </asp:GridView>
    </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>

