﻿<%@ Page Language="C#" MasterPageFile="~/Admin/AdminMaster.master" AutoEventWireup="true" CodeFile="EditLink.aspx.cs" Inherits="Admin_EditLink" Title="管理画面 - リンク編集" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:ScriptManagerProxy runat="server" id="ScriptManagerProxy1" />

    <asp:ObjectDataSource ID="AllLinkDataSource" runat="server" SelectMethod="GetAllLink" TypeName="LinkBL">
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="SingleLinkDataSource" runat="server" DeleteMethod="DeleteLink"
        InsertMethod="InsertLink" SelectMethod="GetLink" TypeName="LinkBL">
        <DeleteParameters>
            <asp:Parameter Name="ID" Type="Int32" />
        </DeleteParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="LinkGrid" Name="ID" PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
        <InsertParameters>
            <asp:Parameter Name="Title" Type="String" />
            <asp:Parameter Name="Image" Type="String" />
            <asp:Parameter Name="Comment" Type="String" />
            <asp:Parameter Name="Url" Type="String" />
        </InsertParameters>
    </asp:ObjectDataSource>
    <asp:Label ID="Label2" runat="server" SkinID="PageHeaderLabel" Text="リンクの編集"></asp:Label>
    <asp:GridView ID="LinkGrid" runat="server" AutoGenerateColumns="False" DataKeyNames="ID"
        DataSourceID="AllLinkDataSource" Caption="登録されたリンク一覧" CellPadding="4" ForeColor="#333333" GridLines="None">
        <Columns>
            <asp:CommandField ShowSelectButton="True" />
            <asp:BoundField DataField="ID" HeaderText="リンクID" InsertVisible="False" ReadOnly="True"
                SortExpression="ID" />
            <asp:BoundField DataField="Title" HeaderText="タイトル" SortExpression="Title" />
            <asp:BoundField DataField="Url" HeaderText="Url" SortExpression="Url" />
            <asp:BoundField DataField="Image" HeaderText="画像パス" SortExpression="Image" />
        </Columns>
        <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
        <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
        <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
        <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
        <AlternatingRowStyle BackColor="White" />
    </asp:GridView>
    <br />
    <asp:DetailsView ID="LinkDetail" runat="server" AutoGenerateRows="False" DataKeyNames="ID"
        DataSourceID="SingleLinkDataSource" Caption="リンク編集" OnItemInserting="LinkDetail_ItemInserting" CellPadding="4" ForeColor="#333333" GridLines="None" OnItemDeleted="LinkDetail_ItemDeleted" OnItemInserted="LinkDetail_ItemInserted">
        <Fields>
            <asp:BoundField DataField="ID" HeaderText="リンクID" InsertVisible="False" ReadOnly="True"
                SortExpression="ID" />
            <asp:BoundField DataField="Title" HeaderText="タイトル" SortExpression="Title" />
            <asp:BoundField DataField="Url" HeaderText="Url" SortExpression="Url" />
            <asp:BoundField DataField="Comment" HeaderText="コメント" SortExpression="Comment" />
            <asp:TemplateField HeaderText="イメージ">
                <ItemTemplate>
                    <asp:Label runat="server" Text='<%# Eval("Image") %>' />
                </ItemTemplate>
                <InsertItemTemplate>
                    <asp:FileUpload runat="server" ID="ImageUpload" />
                </InsertItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="作成日">
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="Server" Text='<%# Eval("OccuredDate") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="最終更新日">
                <ItemTemplate>
                    <asp:Label ID="Label3" runat="Server" Text='<%# Eval("UpdateDate") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField ShowDeleteButton="True" ShowInsertButton="True" />
        </Fields>
        <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
        <CommandRowStyle BackColor="#FFFFC0" Font-Bold="True" />
        <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
        <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
        <FieldHeaderStyle BackColor="#FFFF99" Font-Bold="True" />
        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
        <AlternatingRowStyle BackColor="White" />
        <EmptyDataTemplate>
            <asp:Label ID="Label1" runat="server" Text="グリッドから編集するリンクを選択してください。"></asp:Label><br />
            &nbsp;<asp:LinkButton ID="insertModeButton" runat="server" OnClick="insertModeButton_Click">新規作成</asp:LinkButton>
        </EmptyDataTemplate>
    </asp:DetailsView>
</asp:Content>

