﻿<%@ Page Language="C#" MasterPageFile="~/DefaultMaster.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default"  %>
<%@ Register
    Assembly="AjaxControlToolkit"
    Namespace="AjaxControlToolkit"
    TagPrefix="ajaxToolkit" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<asp:ScriptManagerProxy runat="server" id="ScriptManagerProxy1" />

        <asp:Repeater ID="EntryRepeater" runat="server" DataSourceID="RecentEntryObjectDataSource">
            <ItemTemplate>
                <table class="Entry">
                <tr>
                    <td colspan="2">
                        <asp:Label ID="Label1" runat="server" Text='<%# Eval("EntryDate", "{0:yyyy年M月d日}") %>' SkinID="EntryDateLabel"  />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="Label2" runat="server" Text='<%# Eval("Title", "{0}") %>' SkinID="EntryHeaderLabel" />
                    </td>
                    <td style="text-align:right">
                        <a id='LocationLink<%# Container.ItemIndex %>' href="" onclick='<%# CreateLocationButonClickHandler(Container.ItemIndex, Container.DataItem) %>'><img src="whizzywig/table.gif" alt="位置情報" style='display:<%# GetLocationDisplayString(Container.DataItem) %>'/></a>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <hr />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                    <asp:Panel runat="server" ID="PopupPanel1" CssClass="hiddenPanel" SkinID="Popup">
                        <asp:Image runat="server" ID="Image4" 
                            ImageUrl='<%# GetImageUrl(1, Container.DataItem) %>'
                            Visible='<%# Eval("Image1FileName") != System.DBNull.Value %>' />
                    </asp:Panel>
                    <asp:Panel runat="server" ID="PopupPanel2" CssClass="hiddenPanel" SkinID="Popup">
                        <asp:Image runat="server" ID="Image5" 
                            ImageUrl='<%# GetImageUrl(2, Container.DataItem) %>'
                            Visible='<%# Eval("Image1FileName") != System.DBNull.Value %>' />
                    </asp:Panel>
                    <asp:Panel runat="server" ID="PopupPanel3" CssClass="hiddenPanel" SkinID="Popup">
                        <asp:Image runat="server" ID="Image6" 
                            ImageUrl='<%# GetImageUrl(3, Container.DataItem) %>'
                            Visible='<%# Eval("Image1FileName") != System.DBNull.Value %>' />
                    </asp:Panel>

                    <asp:HyperLink runat="server" ID="PopupLink1" NavigateUrl="">
                        <asp:Image runat="server" ID="Image7" 
                            ImageUrl='<%# GetSmallImageUrl(1, Container.DataItem) %>'
                            Visible='<%# Eval("Image1FileName") != System.DBNull.Value %>' />
                    </asp:HyperLink>
                    &nbsp;&nbsp;
                    <asp:HyperLink runat="server" ID="PopupLink2" NavigateUrl="">
                        <asp:Image runat="server" ID="Image8" 
                            ImageUrl='<%# GetSmallImageUrl(2, Container.DataItem) %>'
                            Visible='<%# Eval("Image1FileName") != System.DBNull.Value %>' />
                    </asp:HyperLink>
                    &nbsp;&nbsp;
                    <asp:HyperLink runat="server" ID="PopupLink3" NavigateUrl="">
                        <asp:Image runat="server" ID="Image9" 
                            ImageUrl='<%# GetSmallImageUrl(3, Container.DataItem) %>'
                            Visible='<%# Eval("Image1FileName") != System.DBNull.Value %>' />
                    </asp:HyperLink>

                    <ajaxToolkit:HoverMenuExtender ID="hme1" runat="Server"
                        PopupControlID='PopupPanel1'
                        PopupPosition="Center"
                        TargetControlID='PopupLink1'
                        OffsetX="-30"
                        OffsetY="-30"
                        PopDelay="0"
                         />
                    <ajaxToolkit:HoverMenuExtender ID="hme2" runat="Server"
                        PopupControlID='PopupPanel2'
                        PopupPosition="Center"
                        TargetControlID='PopupLink2'
                        OffsetX="-30"
                        OffsetY="-30"
                        PopDelay="0"
                         />
                    <ajaxToolkit:HoverMenuExtender ID="hme3" runat="Server"
                        PopupControlID='PopupPanel3'
                        PopupPosition="Center"
                        TargetControlID='PopupLink3'
                        OffsetX="-30"
                        OffsetY="-30"
                        PopDelay="0"
                         />

                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:Literal ID="Literal1" runat="server" Text='<%# Eval("Contents") %>' />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <hr />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:UpdatePanel runat="server" ID='CommentPanel' UpdateMode="Conditional" >
                            <ContentTemplate>
                                <asp:LinkButton runat="server" ID="CommentButton" 
                                    Text='<%# Eval("CommentCount", "コメント（{0}）") %>'
                                    CommandArgument='<%# Eval("ID") %>'
                                    OnClick="CommentButton_Click" />
                                <asp:Panel runat="server" ID="Panel1" Visible='<%# null != this.commentIDParam %>'>
                                    <asp:ObjectDataSource runat="server" ID="CommentDataSource" 
                                        TypeName="CommentBL"
                                        SelectMethod="GetCommentByEntryID"
                                        InsertMethod="InsertComment" >
                                        <SelectParameters>
                                            <asp:ControlParameter Name="parentEntryID" ControlID="CommentButton" PropertyName="CommandArgument" />
                                        </SelectParameters>
                                        <InsertParameters>
                                            <asp:ControlParameter Name="parentEntryID" ControlID="CommentButton" PropertyName="CommandArgument" />
                                        </InsertParameters>
                                    </asp:ObjectDataSource>
                                    <asp:Repeater runat="server" ID="CommentRepeater" DataSourceID="CommentDataSource">
                                        <ItemTemplate>
                                            <table border="0" width="100%">
                                            <tr>
                                            <td colspan="2">
                                            <asp:Label ID="Label9" runat="server" Text='<%# Container.ItemIndex.ToString() + ".&nbsp;" %>' />
                                            <asp:Label ID="Label7" runat="server" Text='<%# Eval("Author", "{0}") %>' />
                                            &nbsp;&nbsp;
                                            <asp:Label ID="Label8" runat="server" Text='<%# Eval("OccuredDate", "{0:yyyy年M月d日 H時m分s秒}") %>' />
                                            </td>
                                            </tr>
                                            <tr>
                                            <td style="width:5%">
                                            &nbsp;&nbsp;
                                            </td>
                                            <td style="width:90%">
                                            <asp:Literal ID="Literal2" runat="server" Text='<%# Eval("Contents") %>' />
                                            </td>
                                            </tr>
                                            </table>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                    <br />
                                    <asp:FormView runat="server" DefaultMode="Insert" DataSourceID="CommentDataSource" Width="90%">
                                        <InsertItemTemplate>
                                        <table class="Comment">
                                        <tr>
                                            <td colspan="2">
                                                <asp:Label ID="Label3" runat="server" Text="コメントを書く" SkinID="CommentHeaderLabel" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width:20%" nowrap="nowrap">
                                                <asp:Label ID="Label4" runat="server" Text="お名前：" />
                                            </td>
                                            <td style="width:80%">
                                                <asp:TextBox runat="server" ID="NameTextBox" Text='<%# Bind("Author") %>' />
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="NameTextBox" 
                                                    ValidationGroup="SendCommentValidation" ErrorMessage="*入力してください" Display="Dynamic" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap">
                                                <asp:Label ID="Label5" runat="server" Text="メール：" />
                                            </td>
                                            <td>
                                                <asp:TextBox runat="server" ID="MailTextBox" Text='<%# Bind("AuthorsEmail") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap">
                                                <asp:Label ID="Label6" runat="server" Text="ホームページ：" />
                                            </td>
                                            <td>
                                                <asp:TextBox runat="server" ID="UrlTextBox" Text='<%# Bind("AuthorsUrl") %>' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap">
                                                <asp:Label runat="server" Text="コメント：" />
                                            </td>
                                            <td>
                                                <asp:TextBox runat="server" ID="CommentTextBox" Rows="5" TextMode="MultiLine" Text='<%# Bind("Contents") %>' />
                                                <asp:RequiredFieldValidator runat="server" ControlToValidate="CommentTextBox" 
                                                    ValidationGroup="SendCommentValidation" ErrorMessage="*入力してください" Display="Dynamic" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">
                                                <asp:Button runat="server" Text="送信" CommandName="Insert" CausesValidation="true" ValidationGroup="SendCommentValidation" />
                                            </td>
                                        </tr>
                                        </table>
                                        </InsertItemTemplate>
                                    </asp:FormView>
                                </asp:Panel>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </td>
                </tr>
                </table>
            </ItemTemplate>
            <SeparatorTemplate>
                <br />
            </SeparatorTemplate>
        </asp:Repeater>
        <asp:ObjectDataSource ID="RecentEntryObjectDataSource" runat="server" 
            TypeName="EntryBL"
            SelectMethod="GetRecentEntry" />
        <asp:ObjectDataSource ID="CategoryEntryObjectDataSource" runat="server" 
            TypeName="EntryBL"
            SelectMethod="GetEntryByCategoryID">
            <SelectParameters>
                <asp:QueryStringParameter Name="categoryID" QueryStringField="CategoryID" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="EntryObjectDataSource" runat="server" 
            TypeName="EntryBL"
            SelectMethod="GetEntryByID">
            <SelectParameters>
                <asp:QueryStringParameter Name="entryID" QueryStringField="EntryID" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="DateEntryObjectDataSource" runat="server" 
            TypeName="EntryBL"
            SelectMethod="GetEntryByDate">
            <SelectParameters>
                <asp:QueryStringParameter Name="yearMonth" QueryStringField="Archive" />
            </SelectParameters>
        </asp:ObjectDataSource>
                <div id="MapWindow" class="MapWindow" style="width:450px; height:450px; border: 1px solid Black; background-color:lightYellow; color:Black; visibility:hidden; display:none; " >
                    <table style="background-color:lightYellow;">
                        <tr>
                            <td>
                                【位置情報ウィンドウ】
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div id="mapDiv" style="width: 450px; height: 450px"></div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <button id="closeMap">閉じる</button>
                            </td>
                        </tr>
                    </table>
                </div>

    <script type="text/xml-script">
        <page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
            <components>
                <button id="closeMap">
                    <behaviors>
                        <clickBehavior>
                            <click>
                                <setPropertyAction target="MapWindow" property="visible" value="false" />
                            </click>
                        </clickBehavior>
                    </behaviors>
                </button>
                <control id="MapWindow">
                    <behaviors>
                        <floatingBehavior handle="MapWindow">
                        </floatingBehavior>
                    </behaviors>
                </control>
            </components>
        </page>
    </script>

    <!-- それぞれの環境毎にキーを変更してください -->
    <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAArep0tPJEeBE7kgMUXmKskBSprvYC1cggqrV4l78o81ywWQWTExRWdkafudGwpKVmlIx0jbeHFnnt0g"
      type="text/javascript"></script>

    <script type="text/javascript">
    //<![CDATA[
    var map;
    
    function ShowGoogleMap(index, location_Lng, location_Lat, zoom, mark_Lng, mark_Lat)
    {
        var bounds = Sys.UI.DomElement.getBounds(document.getElementById("LocationLink" + index));
        var MapWindow = document.getElementById('MapWindow');
        MapWindow.style.visibility = "";
        MapWindow.style.display = "";
        MapWindow.style.left = bounds.x -450;
        MapWindow.style.top = bounds.y;
        
        if(null == map )
        {
//            if (GBrowserIsCompatible()) {
                map = new GMap2(document.getElementById("mapDiv"));
                map.addControl(new GLargeMapControl());
                map.addControl(new GOverviewMapControl());
//            }
        }
        if(null == map )
        {
            alert("GoogleMapの作成に失敗しました。");
        }
        else
        {
            map.setCenter(new GLatLng(location_Lat, location_Lng ), zoom);
            if( 0 != mark_Lng && 0 != mark_Lat)
            {
                map.addOverlay(new GMarker( new GLatLng(mark_Lat, mark_Lng )));
            }
        }
    }
    //]]>
    </script>
</asp:Content>

