﻿using System;
using System.Web.Services;
using System.Web.Script.Services;
//using Microsoft.Web.Script.Services;

namespace Sample.Ajax
{
    [ScriptService]
    public class PersonService : System.Web.Services.WebService
    {

        public PersonService()
        {

        }

        [WebMethod]
        public Person GetPerson(IdClass id)
        {
            return new Person("Daigo " + id.CompanyID.ToString() + id.EmployeeID.ToString(), 30, new DateTime(1976, 9, 16));
        }

    }

    // 引数として使用するクラス
    public class IdClass
    {
        public IdClass() { }
        private int companyID;
        public int CompanyID
        {
            get { return this.companyID; }
            set { this.companyID = value; }
        }

        private int employeeID;
        public int EmployeeID
        {
            get { return this.employeeID; }
            set { this.employeeID = value; }
        }
    }

    // 戻り値として使用するクラス
    public class Person
    {
        public Person()
        {
        }

        public Person(string _name, int _age, DateTime _birth)
        {
            this.name = _name;
            this.age = _age;
            this.birth = _birth;

            //            if( -1 == _name.IndexOf("_child"))
            //                this.child = new Person(_name + "_child", _age - 20, _birth);
        }

        private string name;
        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                this.name = value;
            }
        }

        private int age;
        public int Age
        {
            get
            {
                return this.age;
            }
            set
            {
                this.age = value;
            }
        }

        private DateTime birth;
        public DateTime Birth
        {
            get
            {
                return this.birth;
            }
            set
            {
                this.birth = value;
            }
        }
        //private Person child;
        //public Person Child
        //{
        //    get
        //    {
        //        return this.child;
        //    }
        //    set
        //    {
        //        this.child = value;
        //    }
        //}

    }
}