﻿using System;
using System.Data;

public partial class UseDataSource : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        GridView1.DataSource = GetData();
        //GridView1.DataMember = "Employee";
        GridView1.DataBind();
    }

    protected DataTable GetData()
    {
        // ダミー実装（データベースからではなくロジックでデータを作成しています）
        DataTable table = new DataTable("Employee");
        table.Columns.Add("ID", typeof(string));
        table.Columns.Add("Name", typeof(string));
        table.Columns.Add("Age", typeof(int));
        DataRow row1 = table.NewRow();
        row1["ID"] = "0000";
        row1["Name"] = "Nishiyama Manabu";
        row1["Age"] = 21;
        DataRow row2 = table.NewRow();
        row2["ID"] = "0001";
        row2["Name"] = "Nakanishi Yasuko";
        row2["Age"] = 26;
        DataRow row3 = table.NewRow();
        row3["ID"] = "0002";
        row3["Name"] = "Nakamura Yoichi";
        row3["Age"] = 36;
        table.Rows.Add(row1);
        table.Rows.Add(row2);
        table.Rows.Add(row3);

        return table;
    }
}
