﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>更新・削除・挿入を行うSqlDataSourceとFormViewサンプル</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
<asp:SqlDataSource ID="SqlDataSource1" runat="server" 
     ConnectionString='<%$ ConnectionStrings:TestDatabaseConnectionString %>' 
     SelectCommand="SELECT * FROM Person"
     DeleteCommand="DELETE FROM Person WHERE ID = @ID"
     InsertCommand="INSERT INTO Person (Name, Weight, Height) VALUES (@Name, @Weight, @Height)"
     UpdateCommand="UPDATE Person SET Name = @Name, Weight = @Weight, Height = @Height WHERE ID = @ID">
</asp:SqlDataSource>

        <asp:FormView ID="FormView1" runat="server" AllowPaging="True"  DataKeyNames="ID"
            DataSourceID="SqlDataSource1">
            <EditItemTemplate>
                ID:
                <asp:Label ID="IDLabel1" runat="server" Text='<%# Eval("ID") %>'></asp:Label><br />
                Name:
                <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>'>
                </asp:TextBox><br />
                Weight:
                <asp:TextBox ID="WeightTextBox" runat="server" Text='<%# Bind("Weight") %>'>
                </asp:TextBox><br />
                Height:
                <asp:TextBox ID="HeightTextBox" runat="server" Text='<%# Bind("Height") %>'>
                </asp:TextBox><br />
                <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                    Text="更新">
                </asp:LinkButton>
                <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                    Text="キャンセル">
                </asp:LinkButton>
            </EditItemTemplate>
            <InsertItemTemplate>
                Name:
                <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>'>
                </asp:TextBox><br />
                Weight:
                <asp:TextBox ID="WeightTextBox" runat="server" Text='<%# Bind("Weight") %>'>
                </asp:TextBox><br />
                Height:
                <asp:TextBox ID="HeightTextBox" runat="server" Text='<%# Bind("Height") %>'>
                </asp:TextBox><br />
                <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                    Text="挿入">
                </asp:LinkButton>
                <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                    Text="キャンセル">
                </asp:LinkButton>
            </InsertItemTemplate>
            <ItemTemplate>
                ID:
                <asp:Label ID="IDLabel" runat="server" Text='<%# Eval("ID") %>'></asp:Label><br />
                Name:
                <asp:Label ID="NameLabel" runat="server" Text='<%# Eval("Name") %>'></asp:Label><br />
                Weight:
                <asp:Label ID="WeightLabel" runat="server" Text='<%# Eval("Weight") %>'></asp:Label><br />
                Height:
                <asp:Label ID="HeightLabel" runat="server" Text='<%# Eval("Height") %>'></asp:Label><br />
                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                    Text="編集">
                </asp:LinkButton>
                <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                    Text="削除">
                </asp:LinkButton>
                <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New"
                    Text="新規作成">
                </asp:LinkButton>
            </ItemTemplate>
        </asp:FormView>
    </div>
    </form>
</body>
</html>
